EV3 plugin fails

This is where you talk about the EV3 software itself, installation issues, and programming talk.

Moderators: roger, gloomyandy, skoehler

EV3 plugin fails

Postby ruperty » Sun Jul 13, 2014 11:52 am

I've just updated eclipse to the latest version (android bundle) and the EV3 plugin install fails with this error,

An error occurred while collecting items to be installed
session context was:(profile=DefaultProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,org.lejos.ev3.ldt,0.1.0.201405151034
No repository found containing: org.eclipse.update.feature,org.lejos.ev3.ldt.feature,0.8.1.201405151034


Any idea of the solution?
Regards,
Rupert
www.perceptualrobots.com
ruperty
Active User
 
Posts: 116
Joined: Sun Oct 14, 2007 11:21 am

Re: EV3 plugin fails

Postby lawrie » Sun Jul 13, 2014 7:42 pm

What is the download url for the version of Eclipse you are using.
lawrie
leJOS Team Member
 
Posts: 922
Joined: Mon Feb 05, 2007 1:27 pm

Re: EV3 plugin fails

Postby ruperty » Sun Jul 13, 2014 8:12 pm

lawrie wrote:What is the download url for the version of Eclipse you are using.


Thanks, this http://developer.android.com/sdk/index.html.
Regards,
Rupert
www.perceptualrobots.com
ruperty
Active User
 
Posts: 116
Joined: Sun Oct 14, 2007 11:21 am

Re: EV3 plugin fails

Postby gloomyandy » Sun Jul 13, 2014 8:22 pm

What version of eclipse is that based on? There should be some sort of help->about option, this will save a dev from having to install it to find out. Given that this seems to be an Android specific version of eclipse it may be using non standard repositories. Personally I'd be tempted to just install a standard version of eclipse and use that (especially since it seems that Android may be moving away from eclipse to intellij).
User avatar
gloomyandy
leJOS Team Member
 
Posts: 4114
Joined: Fri Sep 28, 2007 2:06 pm
Location: UK

Re: EV3 plugin fails

Postby ruperty » Mon Jul 14, 2014 11:35 am

Ok thanks. I installed the standard eclipse version (https://www.eclipse.org/downloads/) and I was able to install the EV3 plug-in (and android plug-in) without any problem.
Regards,
Rupert
www.perceptualrobots.com
ruperty
Active User
 
Posts: 116
Joined: Sun Oct 14, 2007 11:21 am


Return to EV3 Software

Who is online

Users browsing this forum: No registered users and 1 guest

more stuff